quds_ui_kit 0.0.7+10 copy "quds_ui_kit: ^0.0.7+10" to clipboard
quds_ui_kit: ^0.0.7+10 copied to clipboard

Flutter UI kit [(animating icons, buttons, texts, counter, digital clock) - page transitions - toasts - dialogs- pagination - splash screen ...etc ]

89
likes
130/ 140
pub points
75%
popularity

We analyzed this package 4 days ago, and awarded it 130 pub points (of a possible 140):

partial
Follow Dart file conventions
30 / 30trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

Homepage URL doesn't exist.

At the time of the analysis https://www.quds.cc was unreachable. Make sure that the website is reachable via HEAD requests.

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

10/10 points: Use an OSI-approved license

Detected license: MIT.

OK
Provide documentation
20 / 20trigger folding of the section

10/10 points: 20% or more of the public API has dartdoc comments

385 out of 434 API elements (88.7 %) have documentation comments.

Some symbols that are missing documentation: quds_animated_combined_icons, quds_animated_combined_icons_button, quds_animated_counter, quds_animated_icon, quds_animated_icon_button.

10/10 points: Package has an example

OK
Platform support
20 / 20trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, macOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ macOS
  • ✓ Web
partial
Pass static analysis
40 / 50trigger folding of the section

40/50 points: code has no errors, warnings, lints, or formatting issues

Found 6 issues. Showing the first 2:

INFO: 'MaterialStateProperty' is deprecated and shouldn't be used. Use WidgetStateProperty instead. Moved to the Widgets layer to make code available outside of Material. This feature was deprecated after v3.19.0-0.3.pre.

lib/screens/quds_dialog.dart:120:38

    ╷
120 │                     foregroundColor: MaterialStateProperty.all(yesColor)),
    │                                      ^^^^^^^^^^^^^^^^^^^^^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/screens/quds_dialog.dart

INFO: 'MaterialStateProperty' is deprecated and shouldn't be used. Use WidgetStateProperty instead. Moved to the Widgets layer to make code available outside of Material. This feature was deprecated after v3.19.0-0.3.pre.

lib/screens/quds_dialog.dart:129:38

    ╷
129 │                     foregroundColor: MaterialStateProperty.all(noColor)),
    │                                      ^^^^^^^^^^^^^^^^^^^^^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/screens/quds_dialog.dart

OK
Support up-to-date dependencies
20 / 20trigger folding of the section

10/10 points: All of the package dependencies are supported in the latest version

Package Constraint Compatible Latest
flutter flutter 0.0.0 0.0.0
Transitive dependencies
Package Constraint Compatible Latest
characters - 1.3.0 1.3.0
collection - 1.18.0 1.18.0
material_color_utilities - 0.8.0 0.11.1
meta - 1.12.0 1.15.0
sky_engine - 0.0.99 0.0.99
vector_math - 2.1.4 2.1.4

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

Analyzed with Pana 0.22.3, Flutter 3.22.0, Dart 3.4.0.

Check the analysis log for details.

89
likes
130
pub points
75%
popularity

Publisher

verified publisherquds.cc

Flutter UI kit [(animating icons, buttons, texts, counter, digital clock) - page transitions - toasts - dialogs- pagination - splash screen ...etc ]

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on quds_ui_kit